Skip to main content
GET
/
v4
/
banks
/
plaidItemAccounts
Get Plaid item accounts
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/banks/plaidItemAccounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "status": "ACTIVE",
    "apiName": "GOOGLELOGIN",
    "createdDate": "2023-11-07T05:31:56Z",
    "lastExpenseSyncedDate": "2023-11-07T05:31:56Z",
    "lastRevenueSyncedDate": "2023-11-07T05:31:56Z",
    "tranStartDate": "2023-11-07T05:31:56Z",
    "tranMinStartDate": "2023-11-07T05:31:56Z",
    "glAccountId": 123,
    "apiAccountId": "<string>",
    "apiAccountName": "<string>",
    "apiInstitutionId": "<string>",
    "apiMask": "<string>",
    "apiOfficialName": "<string>",
    "apiType": "DEPOSITORY",
    "apiSubType": "CHECKING",
    "apiAvailableBalance": 123,
    "apiCurrentBalance": 123,
    "apiLimitBalance": 123,
    "plaidItemId": 123,
    "autoClassify": "OFF",
    "defaultBusinessId": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

id
integer<int64>
status
enum<string>
Available options:
ACTIVE,
DELETED,
INACTIVE
apiName
enum<string>
Available options:
GOOGLELOGIN,
LINKEDINLOGIN,
DROPBOX,
BOX,
SKYDRIVE,
CLOVER,
STRIPE,
GOOGLESTORAGE,
GOOGLECONTACTS,
GOOGLEEMAIL,
LINKEDINCONTACTS,
PLAID,
KNOX,
UBER,
FACEBOOKLOGIN,
FRESHBOOKS,
HARVEST,
KW,
FRESHBOOKS2,
CAPITAL_ONE,
SQUARE,
S3,
DOTLOOP,
XERO_DEPRECATED,
REALOGY,
UPWORK,
SHOPIFY,
DEDUCTR,
ENTERPRISE,
MOXIWORKS,
STRIPE_EXPRESS,
APPLELOGIN,
APPDIRECT,
LONEWOLF,
USER_IMPORTED,
LONEWOLF_TRANSACTIONDESK,
SAMPLE_BANK,
TAXBOT,
THIRD_PARTY_BANK,
GUSTO,
THIRD_PARTY_PAYMENTS,
XERO,
UNIT,
USER_ENTRY,
MOOV,
QBO,
COLUMN,
QUALPAY,
BENCH,
PARTNER_IMPLEMENTATION,
CHECK,
RUTTER,
WAVE,
ADYEN,
APRIL
createdDate
string<date-time>
lastExpenseSyncedDate
string<date-time>
lastRevenueSyncedDate
string<date-time>
tranStartDate
string<date-time>
tranMinStartDate
string<date-time>
glAccountId
integer<int64>
apiAccountId
string
apiAccountName
string
apiInstitutionId
string
apiMask
string
apiOfficialName
string
apiType
enum<string>
Available options:
DEPOSITORY,
CREDIT,
LOAN,
MORTGAGE,
BROKERAGE,
OTHER,
INVESTMENT,
EQUITY
apiSubType
enum<string>
Available options:
CHECKING,
SAVINGS,
MONEY_MARKET,
PREPAID,
CREDIT,
CREDIT_CARD,
LINE_OF_CREDIT,
AUTO,
HOME,
HOME_EQUITY,
INSTALLMENT,
MORTGAGE,
BROKERAGE,
CASH_MANAGEMENT,
IRA,
CD,
CERTIFICATE_OF_DEPOSIT,
MUTUAL_FUND,
RETIREMENT,
ROTH,
UGMA,
PAYPAL,
REWARDS,
COMMERCIAL,
CONSTRUCTION,
CONSUMER,
LOAN,
OVERDRAFT,
STUDENT,
HSA,
KEOGH,
RECURRING,
SAFE_DEPOSIT,
SARSEP,
OTHER,
FOUR01K,
FOUR03B,
PREPAID_DEBIT,
RRSP,
FOUR01A,
FOUR57B,
FIVE29,
CASH_ISA,
EDUCATION_SAVINGS_ACCOUNT,
FIXED_ANNUITY,
GIC,
HEALTH_REIMBURSEMENT_ARRANGEMENT,
ISA,
LIF,
LIRA,
LRIF,
LRSP,
NON_TAXABLE_BROKERAGE_ACCOUNT,
PENSION,
PRIF,
PROFIT_SHARING_PLAN,
QSHR,
RDSP,
RESP,
RLIF,
ROTH_401K,
RRIF,
SEP_IRA,
SIMPLE_IRA,
SIPP,
STOCK_PLAN,
TFSA,
THRIFT_SAVINGS_PLAN,
TRUST,
UTMA,
VARIABLE_ANNUITY
apiAvailableBalance
number
apiCurrentBalance
number
apiLimitBalance
number
plaidItemId
integer<int64>
autoClassify
enum<string>
Available options:
OFF,
BUSINESS,
NOT_BUSINESS
defaultBusinessId
integer<int64>